@echo off
mode co80
echo.
echo.
echo.
echo Before you can run this demo for the first time, we must determine the
echo capabilities of your VESA-compatible VGA card.  A screen will be briefly
echo displayed that will either be an all-blue screen, or a blue screen with
echo yellow stripes at the top and the bottom.
echo.
echo Press T to display the test screen now.
getkey T
cls
if not "%getkey%"=="T" goto End
echo One momment please ...
aniplay resource\anitest.scr -d vesa 0 -a
cls
echo.
echo.
echo.
echo Did the screen have yellow stripes at the top and bottom? (Y,N)
getkey YN
cls
if "%getkey%"=="ESC" goto End
if "%getkey%"=="Y" goto mode0
cls
echo.
echo.
echo.
echo Once again, a screen will be briefly displayed that will either be an 
echo all-blue screen, or a blue screen with yellow stripes at the top and 
echo the bottom.
echo.
echo Press T to display the test screen again now.
getkey T
cls
if not "%getkey%"=="T" goto End
echo One momment please ...
aniplay resource\anitest.scr -d vesa 1 -a
cls
echo.
echo.
echo.
echo Did the screen have yellow stripes at the top and bottom? (Y,N)
getkey YN
cls
if "%getkey%"=="ESC" goto End
if "%getkey%"=="Y" goto mode1
echo @aniplay demo.scr -d vesa 2 -a >c:\sierra\democd\anidemo.bat
goto End
:mode1
echo @aniplay demo.scr -d vesa 1 -a >c:\sierra\democd\anidemo.bat
goto End
:mode0
echo @aniplay demo.scr -d vesa 0 -a >c:\sierra\democd\anidemo.bat
:End
